lunes, 15 de diciembre de 2014

Vulnerabilidad de ejecución de código a través de clientes Torrent


Se ha anunciado una vulnerabilidad en los clientes BitTorrent y uTorrent, que podría permitir a un atacante remoto comprometer los sistemas afectados.

El problema, con CVE-2014-8515, reside en el tratamiento de valores de emparejamiento relacionado con WebUI, por lo que es necesario que se encuentre activa la interfaz web (WebUI). Un atacante remoto podría lograr la ejecución de código arbitrario al finalizar la descarga de un archivo torrent especialmente diseñado.

Se ven afectadas las versiones de BitTorrent y uTorrent anteriores a la 36802. Se han puiblicado actualizaciones que solucionan el problema:

Más información:

BitTorrent Web Interface Remote Code Execution Vulnerability

2014-12-4: Version 3.4.2 (build 36802)

BitTorrent Client Release Notes


Antonio Ropero
Twitter: @aropero